Udon is under active development. Documentation not final.
udonudon
Dashboard

List dashboard widgets

Dashboard widgets with their cached output. The command, HTTP request, secret names, and action commands are hidden for non-admins. Requires the **viewer** role.

GET
/api/bento/widgets

Authorization

udon_session<token>

In: cookie

Response Body

application/json

application/json

curl -X GET "https://example.com/api/bento/widgets"
{  "widgets": [    {      "id": "string",      "title": "string",      "icon": "string",      "command": "string",      "request": {        "url": "string",        "method": "string",        "headers": [          {            "name": "string",            "value": "string"          }        ],        "body": "string",        "auth": {}      },      "secrets": [        "string"      ],      "html": "string",      "actions": [        {          "id": "string",          "label": "string",          "command": "string",          "confirm": "string",          "input": true        }      ],      "actionMeta": [        {          "id": "string",          "label": "string",          "confirm": "string",          "input": true        }      ],      "sizes": [        "string"      ],      "intervalSeconds": 0,      "result": {        "output": "string",        "exitCode": 0,        "ranAt": "string",        "truncated": true,        "timedOut": true,        "status": 0      }    }  ]}

Ask AI

Answers from Udon's documentation.

Ask how to install Udon, run containers, or share folders.